Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Add Gemfile.base-versions for Travis

  • Loading branch information...
commit 53bfdcafc339efe3dc4e1641624b8ccf74af3708 1 parent e52cde9
@joliss joliss authored
Showing with 18 additions and 1 deletion.
  1. +1 −1  .gitignore
  2. +3 −0  .travis.yml
  3. +14 −0 gemfiles/Gemfile.base-versions
View
2  .gitignore
@@ -11,5 +11,5 @@ capybara-*.html
.yardoc
doc
.bundle
-Gemfile.lock
+Gemfile*.lock
chromedriver.log
View
3  .travis.yml
@@ -6,6 +6,9 @@ rvm:
- ree
- jruby
- rbx-18mode
+gemfile:
+ - Gemfile
+ - gemfiles/Gemfile.base-versions
before_script:
- 'sh -e /etc/init.d/xvfb start'
before_install:
View
14 gemfiles/Gemfile.base-versions
@@ -0,0 +1,14 @@
+source :rubygems
+
+gem 'bundler', '~> 1.0'
+gemspec :path => '..'
+
+gem 'xpath', :path => '../xpath'
+
+gem 'rack', '= 1.3.0' # cannot go lower because referer tests need aa7ce77cd0
+gem 'rack-test', '= 0.5.4'
+gem 'nokogiri', '= 1.3.3'
+gem 'rspec', '= 2.2.0'
+gem 'cucumber', '= 0.10.5'
+# We cannot test against older versions of selenium-webdriver without
+# installing older compatible Firefox versions.
Please sign in to comment.
Something went wrong with that request. Please try again.